Skip to main content
POST
/
v1
/
tenant
/
international
/
payins
/
create
Create Payin
curl --request POST \
  --url https://api.sandbox.finogates.com/v1/tenant/international/payins/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderID": "<string>",
  "amount": 123,
  "currency": "<string>",
  "typeID": 3,
  "country": "",
  "countryFrom": "",
  "URL": {
    "success": "",
    "callback": "",
    "fail": ""
  },
  "tenant_id": "US",
  "products": []
}
'
{
  "status_code": 123,
  "data": "<unknown>",
  "query_generated_time": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.finogates.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
orderID
string
required
amount
number
required
currency
string
required
Required string length: 3
typeID
integer
default:3
country
string
default:""
countryFrom
string
default:""
URL
MorePayinURL · object
tenant_id
string
default:US
products
MorePayinProduct · object[]

Response

Successful Response

Standard response wrapper for single-object responses and errors.

status_code
integer
required

HTTP status code for the response.

data
any
required

Payload or error details.

query_generated_time
integer
required

UTC timestamp (milliseconds since epoch) when response was generated.